using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime;
using System.Collections;
using System.Xml;
using System.Xml.Serialization;
namespace SmartTemplateEngine.Entities
{
    ///<summary>
    ///</summary>
    /// <remarks>
    /// </remarks>	
    [Serializable]
    public class Template
    {

        private bool _IsSuccessful;
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        public bool IsSuccessful
        {
            get { return _IsSuccessful; }
            set { _IsSuccessful = value; }
        }


        private string _Input;
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        public string Input
        {
            get { return _Input; }
            set { _Input = value; }
        }

        private string _GeneratedCode;
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        public string GeneratedCode
        {
            get { return _GeneratedCode; }
            set { _GeneratedCode = value; }
        }

        private string _Output;
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        public string Output
        {
            get { return _Output; }
            set { _Output = value; }
        }
        
        private string _Error;
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        public string Error
        {
            get { return _Error; }
            set { _Error = value; }
        }

        private Exception _InnerException;
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        [XmlIgnore]
        public Exception InnerException
        {
            get { return _InnerException; }
            set { _InnerException = value; }
        }

        private TemplateEngineSetting _Setting = new TemplateEngineSetting();
        ///<summary>
        ///</summary>
        /// <remarks>
        /// </remarks>	
        public TemplateEngineSetting Setting
        {
            get { return _Setting; }
            set { _Setting = value; }
        }



    }
}
