
// =====================================================================================
// Copyright  2005 by Shahed Khan. All rights are reserved.
// 
// If you like this code then feel free to go ahead and use it.
// The only thing I ask is that you don't remove or alter my copyright notice.
//
// Your use of this software is entirely at your own risk. I make no claims or
// warrantees about the reliability or fitness of this code for any particular purpose.
// If you make changes or additions to this code please mark your code as being yours.
// 
// website , email shahed.khan@gmail.com
// =====================================================================================

using System;
using System.Collections.Specialized;
using System.Collections.Generic;
using System.Text;
using SmartTemplateEngine.Providers;
using System.Configuration;
using SmartTemplateEngine.Entities;
using System.Collections;

namespace SmartTemplateEngine.ImplementedProviders
{
    public class AspStyleParseTemplateProvider: ParseTemplateProvider
    {
        public AspStyleParseTemplateProvider( ) 
		{
		}

		#region ParseTemplate specific functions
        public override Template Parse(Template template)
		{
            ParseManager manager = new ParseManager(template.Input, template.Setting.Using_Libraries);
            template.GeneratedCode = manager.GetParsedResult();            
            template.IsSuccessful = true;
            return template;
		}

        


        #endregion

        #region Provider specific behaviors
        public override void Initialize(string name, NameValueCollection configValue)
        {

		}

		public override string Name {
			get {
				return null;
			}
		}
		#endregion
    }
}
