using System;
using System.Collections.Generic;
using System.Text;
using SmartTemplateEngine.Entities;
using SmartTemplateEngine.Providers;

namespace SmartTemplateEngine.WindowsApplication
{
    public class LoadTextTemplateCommand: ICommand
    {
        public LoadTextTemplateCommand(string path)
        {
            _path = path;
        }

        private string _path;

        string _TemplateText = string.Empty;
        public string TemplateText
        {
            get { return _TemplateText; }
        }
        
        public void Execute( )
        {

            using (System.IO.StreamReader sr = new System.IO.StreamReader(_path))
            {
                _TemplateText = sr.ReadToEnd();
            }
            
        }
    }
}
